<template>
  <section class="cart-list-mobile pt-3 pb-3">
    <div class="container">
      <div class="row">
        <div class="col">
          <div
            class="list-content d-flex flex-column flex-md-row justify-content-md-between align-items-md-center"
          >
            <h2 class="title my-0">
              <span class="text-primary">
                <i class="fas fa-chevron-right" aria-hidden="true"></i>
              </span>
              Mi bolsa de compras
            </h2>
          </div>
        </div>
      </div>
    </div>
    <div class="container">
      <div class="row" v-if="cart.length">
        <div
          class="col-12 mb-0 mb-md-4"
          v-for="(item, index) in cart"
          :key="item.id"
        >
          <Card :product="item" :index="index" v-if="item" />
        </div>
      </div>

      <div class="row" v-else>
        <div class="col-12 text-center">
          <span class="lead">
            <i class="fas fa-shopping-cart"></i>
          </span>
          <p>Su carrito está vacío</p>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import { mapGetters } from "vuex";

import Card from "./Card";

export default {
  name: "CartListMobile",
  components: {
    Card,
  },
  data() {
    return {};
  },
  computed: {
    ...mapGetters({
      cart: "cart/getCart",
    }),
  },
};
</script>

<style lang="scss" scoped>
.cart-list-mobile {
  height: 50%;
  overflow-y: scroll;

  @media (min-width: 992px) {
    display: none;
  }

  .title {
    font-size: 1.2em;
    font-weight: 700;
  }
}
</style>
